<?

##################
# DEBUG MODUS 
##################
$debug = 0;

if($debug == 1){
ini_set('error_reporting', E_ALL);
error_reporting(-1);
error_reporting(E_ALL);
}


##################
# MYSQL DATA
##################  

$mysql['host'] = 'localhost';
$mysql['user'] = 'web22';
$mysql['pass'] = '4ypqgU8T';
$mysql['base'] = 'usr_web22_10';

$berater = "Beratername"; 
$titel = "Datenschutz-Tool"; // Titel der Seite
$zugehoerigkeit_array = array("1" => "Firma1", "2" => "Firma2"); //Beraterfirmen, Einstellung unter user.php


##################
# GLOBAL
##################
  $basePath = $_SESSION['basePath'] = str_replace('\\','/',dirname(__FILE__)); 
  $baseURL = 'http://'.$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']);
  if(substr($baseURL, strlen($baseURL)-1) == '/') $baseURL = substr($baseURL, 0, strlen($baseURL)-1);

  $baseURL_SSL = str_replace('http://', 'https://', $baseURL); 
  $objURL = ($_SERVER['HTTPS'] == 'on') ? $baseURL_SSL : $baseURL;
  $sub = explode('.', $baseURL);
  $sub_baseURL = str_replace($sub[0].'.', '', $baseURL);

	$baseURL = "";


  function radioButton($radio, $checked)
  {
    return str_replace('value="'.$checked.'"', 'value="'.$checked.'" checked="checked"', $radio);
  }
  
  
   function siteNavi($entrys, $perpage, $urlpart, $page)
  {
      if(!$page || $page < 1) $page = 2;
      $maxpages = 40;

      $urlpart = ($urlpart == '?') ? '' : str_replace(' ', '%20', $urlpart);
      $sign = empty($urlpart) ? '?' : '&amp;';
      $pages = ceil($entrys/$perpage);

      if($entrys <= $perpage) return;

      if(($page-$maxpages) <= 2 && $page != 1) $first = '<a class="nl border" href="'.$urlpart.$sign.'seite='.($page-1).'">&laquo;</a>
                                                         <a class="n border" href="'.$urlpart.$sign.'seite=1">1</a> ';
      elseif($page > 1)
        $first = '<a class="nl border" href="'.$urlpart.$sign.'seite='.($page-1).'">&laquo;</a>
                  <a class="n border" href="'.$urlpart.$sign.'seite=1">1</a>';

      if($pages == $page) $last = '<a class="siteNowR border" href="'.$urlpart.$sign.'seite='.($pages).'">'.$pages.'</a>';
      elseif(($page+$maxpages) >= $pages)
        $last = '<a class="n border" href="'.$urlpart.$sign.'seite='.($pages).'">'.$pages.'</a>
                 <a class="nr border" href="'.$urlpart.$sign.'seite='.($page+1).'">&raquo;</a>';
      elseif($page != $pages)
        $last = '<a class="n border" href="'.$urlpart.$sign.'seite='.($pages).'">'.$pages.'</a>
                 <a class="nr border" href="'.$urlpart.$sign.'seite='.($page+1).'">&raquo;</a>';

      for($i = $page;$i<=($page+$maxpages) && $i<=($pages-1);$i++)
      {
        if($i == $page) $result .= '<a class="siteNow border" href="'.$urlpart.$sign.'seite='.$i.'" title="'._site.' '.$i.'">'.$i.'</a>';
        else $result .= '<a class="n border" href="'.$urlpart.$sign.'seite='.$i.'">'.$i.'</a>';
      }
      for($i=($page-$maxpages);$i<=($page-1);$i++)
      {
        if($i >= 2) $resultm .= '<a class="n border" href="'.$urlpart.$sign.'seite='.$i.'">'.$i.'</a> ';
      }

    return '<div id="siteNavi">'.$first.$resultm.$result.$last.'</div>';
  }

function kein_kunde_check(){
   	
	if(empty($_GET['kunden_id'])){
			  echo "Kein Kunde ausgewählt ";exit(); /// STOP
	}
 
 }
 function ersteseite($titel){
	 	global $zugehoerigkeit_array;
	    $get_zugehoerigkeit = fetch(qry("SELECT zugehoerigkeit, name, firma, adresse FROM `kunden` WHERE `id` = '".$_GET['kunden_id']."'"));
		$zugehoerigkeit = ($get_zugehoerigkeit['zugehoerigkeit'] == 1 ) ? $zugehoerigkeit_array['1'] : $zugehoerigkeit_array['2'];
		echo '<div class="ersteseite"><center>
		<h1>'.$titel.'
		<br>
		<br><br><br>
		'.$get_zugehoerigkeit['firma'].'
		<br>
		Ansprechpartner: '.$get_zugehoerigkeit['name'].'
		<br>
		'.$get_zugehoerigkeit['adresse'].'</h1>
		
		</center>
		<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
		
		
		<div class="zugehoerigkeit">'.$zugehoerigkeit.'</div>
		
       <div>';
	 
	 }
?>
